edu.msu.cme.rdp.classifier.train.validation

## Class ValidClassificationResultFacade

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.ValidClassificationResultFacade

    public class ValidClassificationResultFacade
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ValidClassificationResultFacade(LineageSequence seq, java.util.List<ValidationClassificationResult> assignment)` Creates a new instance of ClassificationResultFacade

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getAncestors()`
`HierarchyTree` `getLabeledNode()`
`java.lang.String` `getPath()` print the labeled path and the assigned path Note: the true path is list of string of ancestors for a sequence, the assigned path is a list of ClassificationResult for a sequence.
`java.util.List<ValidationClassificationResult>` `getRankAssignment()`
`java.lang.String` `getSeqName()`
`boolean` `isMissed()`
`void` `setLabeledNode(HierarchyTree n)`
`void` `setMissedRank(java.lang.String missedRank)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidClassificationResultFacade

    public ValidClassificationResultFacade(LineageSequence seq,
                                           java.util.List<ValidationClassificationResult> assignment)

Creates a new instance of ClassificationResultFacade

### Method Detail

#### getSeqName

    public java.lang.String getSeqName()

#### getAncestors

    public java.util.List<java.lang.String> getAncestors()

#### getRankAssignment

    public java.util.List<ValidationClassificationResult> getRankAssignment()

#### isMissed

    public boolean isMissed()

#### setMissedRank

    public void setMissedRank(java.lang.String missedRank)

#### getLabeledNode

    public HierarchyTree getLabeledNode()

#### setLabeledNode

    public void setLabeledNode(HierarchyTree n)

#### getPath

    public java.lang.String getPath()
                             throws java.io.IOException

print the labeled path and the assigned path Note: the true path is list of string of ancestors for a sequence, the assigned path is a list of ClassificationResult for a sequence.

Throws:
  `java.io.IOException`